Extract Profile Information
curl --request POST \
--url https://api.linkupapi.com/v1/data/profil/info \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"profile_url": "<string>"
}
'import requests
url = "https://api.linkupapi.com/v1/data/profil/info"
payload = { "profile_url": "<string>" }
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({profile_url: '<string>'})
};
fetch('https://api.linkupapi.com/v1/data/profil/info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"profile_url": "https://www.linkedin.com/in/jeremygoillot",
"success": true,
"profile_data": {
"public_id": "jeremygoillot",
"first_name": "Jeremy",
"last_name": "Goillot",
"headline": "CEO @The Mobile-First Company \n Your Business, in your Pocket | Angel Investor in +40 startups",
"location": "France",
"summary": "NO EMAIL \nPhone Call Only >> 06 44 60 39 99\n\nBuilding @The Mobile-First Company\nOur goal is clear: Turn your phone into your primary business tool...",
"industry": "Technologie, information et Internet",
"experience": [
{
"company": "The Mobile-First Company",
"title": "CEO & Co-Founder",
"description": "Your Business, in your Pocket. Mobile Apps for Every Need...",
"start_date": "9/2023",
"end_date": ""
},
{
"company": "The Mobile Entrepreneurs",
"title": "Content Creator",
"description": "Le media des entrepreneurs du quotidien, avec un telephone a portee de main.",
"start_date": "10/2024",
"end_date": ""
}
],
"education": [
{
"school": "Le Wagon",
"degree": "FullStack Developer",
"field_of_study": "Web Development",
"start_date": "2016",
"end_date": "2016"
},
{
"school": "INSEEC U.",
"degree": "Bachelor of Business Administration (BBA)",
"field_of_study": "",
"start_date": "",
"end_date": ""
}
],
"skills": ["Allo", " Build a Fintech Unicorn (from 0 to 1B$)", " Build Growth Team for Early Stage Startups", "Angel investing (+30 Startups)"],
"profile_picture_url": "https://media.licdn.com/dms/image/v2/D4E03AQGNeGf5rNxHfw/profile-displayphoto-shrink_800_800/profile-displayphoto-shrink_800_800/0/1708347819714?e=1749081600&v=beta&t=Fc0vOkxS_LjCwtTl4wU5-FBBHrk7N6gwLQAz0meDsrk"
},
"contact_info": {
"email": "[email protected]",
"phone": "06 44 60 39 99",
"website": "https://themobilefirstcompany.com"
}
}
}
{
"status": "success",
"data": {
"profile_url": "https://www.linkedin.com/in/invalid-profile",
"success": false,
"profile_data": null,
"contact_info": null
}
}
Person API
Extract Profile Information
Extract detailed information from a LinkedIn profile
POST
/
v1
/
data
/
profil
/
info
Extract Profile Information
This method provides detailed and reliable data extraction directly through our service.
This endpoint costs 1 credit per request. Ignore this if you’re on per-seat pricing: usage is unlimited.
Header Parameters
string
required
Your API key
Body Parameters
string
required
URL of the LinkedIn profile to extract information from
Response
string
Request status (success/error)
object
Show Properties
Show Properties
string
URL of the scraped LinkedIn profile
boolean
Whether the profile scraping was successful
object
Show Profile Information
Show Profile Information
string
Public identifier of the LinkedIn profile
string
First name of the profile owner
string
Last name of the profile owner
string
Professional headline/title
string
Geographic location
string
Profile summary/about section
string
Industry sector
array
array
array
Array of professional skills (strings)
string
URL to the profile picture
{
"status": "success",
"data": {
"profile_url": "https://www.linkedin.com/in/jeremygoillot",
"success": true,
"profile_data": {
"public_id": "jeremygoillot",
"first_name": "Jeremy",
"last_name": "Goillot",
"headline": "CEO @The Mobile-First Company \n Your Business, in your Pocket | Angel Investor in +40 startups",
"location": "France",
"summary": "NO EMAIL \nPhone Call Only >> 06 44 60 39 99\n\nBuilding @The Mobile-First Company\nOur goal is clear: Turn your phone into your primary business tool...",
"industry": "Technologie, information et Internet",
"experience": [
{
"company": "The Mobile-First Company",
"title": "CEO & Co-Founder",
"description": "Your Business, in your Pocket. Mobile Apps for Every Need...",
"start_date": "9/2023",
"end_date": ""
},
{
"company": "The Mobile Entrepreneurs",
"title": "Content Creator",
"description": "Le media des entrepreneurs du quotidien, avec un telephone a portee de main.",
"start_date": "10/2024",
"end_date": ""
}
],
"education": [
{
"school": "Le Wagon",
"degree": "FullStack Developer",
"field_of_study": "Web Development",
"start_date": "2016",
"end_date": "2016"
},
{
"school": "INSEEC U.",
"degree": "Bachelor of Business Administration (BBA)",
"field_of_study": "",
"start_date": "",
"end_date": ""
}
],
"skills": ["Allo", " Build a Fintech Unicorn (from 0 to 1B$)", " Build Growth Team for Early Stage Startups", "Angel investing (+30 Startups)"],
"profile_picture_url": "https://media.licdn.com/dms/image/v2/D4E03AQGNeGf5rNxHfw/profile-displayphoto-shrink_800_800/profile-displayphoto-shrink_800_800/0/1708347819714?e=1749081600&v=beta&t=Fc0vOkxS_LjCwtTl4wU5-FBBHrk7N6gwLQAz0meDsrk"
},
"contact_info": {
"email": "[email protected]",
"phone": "06 44 60 39 99",
"website": "https://themobilefirstcompany.com"
}
}
}
{
"status": "success",
"data": {
"profile_url": "https://www.linkedin.com/in/invalid-profile",
"success": false,
"profile_data": null,
"contact_info": null
}
}
Notes
- Fields may be empty strings when information is not available on the profile
- Experience and education arrays may be empty when no entries exist
- Profile data extraction depth depends on:
- The profile’s privacy settings
- LinkedIn visibility restrictions
Was this page helpful?